/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCMOD.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCMOD.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:24   ZJRD
** 1.0c
** 
****************************************************************************/

// srcmod.h : header file
//
#ifndef _SRCMOD_H_
#define _SRCMOD_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceBrowseModulePage

class CSourceBrowseModulePage : public CPropertyPage
{
// Construction
public:
	CSourceBrowseModulePage(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourceBrowseModulePage)
	enum { IDD = IDD_SRC_BROWSE };
	CListBox	m_lstInfo;
	CListBox	m_lstModule;
	CString	m_strDepth;
	//}}AFX_DATA

protected:
	CString m_strName;
	CString m_strTime;
	CString m_strAddr;
	CString m_strPath;

// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void OnOK();
	virtual BOOL OnSetActive();

// Implementation
protected:
	void GetModuleInfo();
	void SetModuleInfo();
	void SetInfoList();

	void GetLoadFileName();
	void GetLoadFileTime();
	void GetLoadFileAddr();
	void GetLoadFilePath();

	// Generated message map functions
	//{{AFX_MSG(CSourceBrowseModulePage)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListModule();
	afx_msg void OnDblclkListModule();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
